Bug 418239 - Apply for a Developer Account
Summary: Apply for a Developer Account
Status: REPORTED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Debian stable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL: https://identity.kde.org/index.php?r=...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-26 22:14 UTC by David Poulsen
Modified: 2020-03-03 18:42 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
publickey - atuaruk@protonmail.com - 0x4CA600D0.asc (1.75 KB, application/pgp-keys)
2020-02-26 23:04 UTC, David Poulsen
Details
signature.asc (477 bytes, application/pgp-signature)
2020-02-26 23:04 UTC, David Poulsen
Details
publickey - atuaruk@protonmail.com - 0x4CA600D0.asc (1.75 KB, application/pgp-keys)
2020-03-03 18:02 UTC, David Poulsen
Details
signature.asc (477 bytes, application/pgp-signature)
2020-03-03 18:02 UTC, David Poulsen
Details
publickey - atuaruk@protonmail.com - 0x4CA600D0.asc (1.75 KB, application/pgp-keys)
2020-03-03 18:42 UTC, David Poulsen
Details
signature.asc (477 bytes, application/pgp-signature)
2020-03-03 18:42 UTC, David Poulsen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Poulsen 2020-02-26 22:14:07 UTC
SUMMARY


STEPS TO REPRODUCE
1. Login to KDE Identity
2. Apply for Developer Account
3. The uploaded SSH Key is not a valid DSS, RSA or ED25519 key.

OBSERVED RESULT


EXPECTED RESULT
Developer Account

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 David Poulsen 2020-02-26 22:50:46 UTC
Uploaded key is not accepted:

"SSH Key *
Please provide a single RSA or DSA key which you will use to access infrastructure once your application is approved.
Other keys can be added or removed through the "My Account" section after approval."

- after submid!
Comment 2 Luigi Toscano 2020-02-26 22:58:47 UTC
The instruction for applying for a developer account are here:
https://community.kde.org/Infrastructure/Get_a_Developer_Account#Who_Can_Apply_For_a_KDE_Developer_Account.3F

You need to contribute a bit before requesting a developer account, as described in that page.
Comment 3 David Poulsen 2020-02-26 23:04:44 UTC
Created attachment 126443 [details]
publickey - atuaruk@protonmail.com - 0x4CA600D0.asc

The error was that the uploaded rsa file wasn't accepted?!


Dadana
David

Sent with ProtonMail Secure Email.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Wednesday, February 26, 2020 11:58 PM, Luigi Toscano <bugzilla_noreply@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=418239
> 

> Luigi Toscano luigi.toscano@tiscali.it changed:
> 

> What |Removed |Added
> 

> -----------------------
> 

>           Component|docs.kde.org                |general
>             Product|docs                        |www.kde.org
>                  CC|                            |luigi.toscano@tiscali.it
>            Assignee|kde-doc-english@kde.org     |kde-www@kde.org
>     

> 

> --- Comment #2 from Luigi Toscanoluigi.toscano@tiscali.it ---
> 

> The instruction for applying for a developer account are here:
> https://community.kde.org/Infrastructure/Get_a_Developer_Account#Who_Can_Apply_For_a_KDE_Developer_Account.3F
> 

> You need to contribute a bit before requesting a developer account, as
> described in that page.
> 

> -----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> 

> You are receiving this mail because:
> You reported the bug.
Comment 4 David Poulsen 2020-02-26 23:04:44 UTC
Created attachment 126444 [details]
signature.asc
Comment 5 Nicolás Alvarez 2020-02-26 23:12:08 UTC
Is 0x4CA600D0.asc what you uploaded to the Identity website? That's a PGP key, you have to upload a SSH key.
Comment 6 David Poulsen 2020-03-03 18:02:35 UTC
Created attachment 126573 [details]
publickey - atuaruk@protonmail.com - 0x4CA600D0.asc

Why didn't it accept the RSA?


Dadana
David

Sent with ProtonMail Secure Email.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Thursday, February 27, 2020 12:12 AM, Nicolás Alvarez <bugzilla_noreply@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=418239
> 

> Nicolás Alvarez nicolas.alvarez@gmail.com changed:
> 

> What |Removed |Added
> 

> -----------------------
> 

>                  CC|                            |nicolas.alvarez@gmail.com
>     

> 

> --- Comment #5 from Nicolás Alvareznicolas.alvarez@gmail.com ---
> 

> Is 0x4CA600D0.asc what you uploaded to the Identity website? That's a PGP key,
> you have to upload a SSH key.
> 

> -------------------------------------------------------------------------------------------------------------
> 

> You are receiving this mail because:
> You reported the bug.
Comment 7 David Poulsen 2020-03-03 18:02:35 UTC
Created attachment 126574 [details]
signature.asc
Comment 8 Ben Cooksley 2020-03-03 18:14:18 UTC
Please provide a copy of the RSA Public Key you tried to upload. So far all you have sent/uploaded here are PGP Signatures, which are not RSA Public Keys.
Comment 9 David Poulsen 2020-03-03 18:42:56 UTC
Created attachment 126575 [details]
publickey - atuaruk@protonmail.com - 0x4CA600D0.asc

Please send me instructions for making RSA to upload correctly?


Dadana
David

Sent with ProtonMail Secure Email.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Tuesday, March 3, 2020 7:14 PM, Ben Cooksley <bugzilla_noreply@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=418239
> 

> Ben Cooksley bcooksley@kde.org changed:
> 

> What |Removed |Added
> 

> -----------------------
> 

>                  CC|                            |bcooksley@kde.org
>     

> 

> --- Comment #8 from Ben Cooksleybcooksley@kde.org ---
> 

> Please provide a copy of the RSA Public Key you tried to upload. So far all you
> have sent/uploaded here are PGP Signatures, which are not RSA Public Keys.
> 

> -----------------------------------------------------------------------------------------------------------------------------------------------------------
> 

> You are receiving this mail because:
> You reported the bug.
Comment 10 David Poulsen 2020-03-03 18:42:56 UTC
Created attachment 126576 [details]
signature.asc